Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}


Name:           wss4j
Summary:        Implementation of the OASIS Web Services Security
Version:        1.5.3
Release:        alt1_1jpp5
Epoch:          0

URL:            http://ws.apache.org/wss4j/
License:        Apache License v2.0
Group:          Development/Java
Source0:        %{name}-%{version}.tar.gz
#svn export http://svn.apache.org/repos/asf/webservices/wss4j/tags/1_5_3/ wss4j-1.5.3
#Source1:        pom-maven2jpp-mapdeps.xsl
#Source2:        %{name}-jpp-depmap.xml

Patch0:         wss4j-1.5.3-build.patch
Patch1:         wss4j-1.5.3-pom.patch
Patch2:         wss4j-1.5.3-project.patch

BuildRequires: jpackage-utils >= 0:1.7.4
#BuildRequires: java-1.5.0-sun-jce-policy
BuildRequires: ant >= 0:1.6.5
BuildRequires: ant-junit
BuildRequires: junit
%if %{with_maven}
BuildRequires: maven-plugins >= 0:1.1
BuildRequires: maven-plugins-base
BuildRequires: maven-plugin-checkstyle
BuildRequires: maven-plugin-jdepend
BuildRequires: maven-plugin-jxr
BuildRequires: maven-plugin-license
BuildRequires: maven-plugin-pmd
BuildRequires: maven-plugin-test
BuildRequires: maven-plugin-xdoc
%endif

BuildRequires: axis >= 0:1.4
BuildRequires: bouncycastle-provider >= 0:1.37
BuildRequires: jakarta-commons-codec >= 0:1.3
BuildRequires: jakarta-commons-discovery >= 0.2
BuildRequires: jakarta-commons-httpclient >= 0:3.0.1
BuildRequires: jakarta-commons-logging >= 0:1.1
BuildRequires: log4j >= 0:1.2.8
BuildRequires: opensaml >= 0:1.1b
BuildRequires: ws-fx-addressing >= 0:1.0
BuildRequires: wsdl4j >= 0:1.6.2
BuildRequires: xalan-j2 >= 0:2.7.0
BuildRequires: xerces-j2 >= 0:2.9.0
BuildRequires: xml-commons-jaxp-1.3-apis
BuildRequires: xml-security >= 0:1.3.0

Requires: axis >= 0:1.4
Requires: bouncycastle-provider >= 0:1.37
Requires: jakarta-commons-codec >= 0:1.3
Requires: jakarta-commons-discovery >= 0:0.2
Requires: jakarta-commons-httpclient >= 0:3.0.1
Requires: jakarta-commons-logging >= 0:1.1
Requires: log4j >= 0:1.2.8
Requires: opensaml >= 0:1.1b
Requires: ws-fx-addressing >= 1.0
Requires: wsdl4j >= 0:1.6.2
Requires: xalan-j2 >= 0:2.7.0
Requires: xerces-j2 >= 0:2.9.0
Requires: xml-commons-jaxp-1.3-apis
Requires: xml-security >= 0:1.3.0

BuildArch:      noarch

%description 
Apache WSS4J is an implementation of the OASIS Web Services Security
(WS-Security) from OASIS Web Services Security TC. WSS4J is a
primarily a Java library that can be used to sign and verify SOAP
Messages with WS-Security information. WSS4J will use Apache Axis and
Apache XML-Security projects and will be interoperable with JAX-RPC
based server/clients and .NET server/clients.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q 
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2

# set JAVA_HOME for build-classpath to work properly
export JAVA_HOME=%{_jvmdir}/java-1.5.0
ln -sf $(build-classpath addressing) lib
ln -sf $(build-classpath axis/axis) lib
ln -sf $(build-classpath axis/axis-ant) lib
ln -sf $(build-classpath axis/jaxrpc) lib
ln -sf $(build-classpath axis/saaj) lib
ln -sf $(build-classpath bouncycastle/bcprov) lib
ln -sf $(build-classpath commons-codec) lib
ln -sf $(build-classpath commons-discovery) lib
ln -sf $(build-classpath commons-httpclient) lib
ln -sf $(build-classpath commons-logging) lib
ln -sf $(build-classpath log4j) lib
ln -sf $(build-classpath opensaml) lib
ln -sf $(build-classpath wsdl4j) lib
ln -sf $(build-classpath xalan-j2) lib
ln -sf $(build-classpath xalan-j2-serializer) lib
ln -sf $(build-classpath xml-security) lib

ln -sf $(build-classpath xerces-j2) endorsed
ln -sf $(build-classpath xml-commons-jaxp-1.3-apis) endorsed

%build
export JAVA_HOME=%{_jvmdir}/java-1.5.0
%if %{without_maven}
ant jar javadoc
%else
mkdir -p target/work
maven -e \
        -Dmaven.repo.remote=file:///usr/share/maven/repository \
        -Dmaven.home.local=$(pwd)/.maven \
        jar javadoc xdoc

#       -Dmaven.test.failure.ignore=true \
%endif

%install

# main package
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
%if %{without_maven}
install -m 644 build/%{name}-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%else
install -m 644 target/%{name}-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%endif
ln -s wss4j-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
%if %{without_maven}
cp -pr build/doc/html/api/* \
    $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
%else
cp -pr target/docs/apidocs/* \
    $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
%endif
ln -s %{name}-%{version} $RPM_BUILD_ROOT/%{_javadocdir}/%{name}

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%dir %{_javadir}
%{_javadir}/wss4j-%{version}.jar
%{_javadir}/wss4j.jar

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Tue Oct 21 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.5.3-alt1_1jpp5
- jpackage 5.0

* Sat Jan 26 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.5.0-alt1_3jpp1.7
- converted from JPackage by jppimport script

